Package org.apache.tools.ant.taskdefs

# Interface XSLTLiaison

All Known Subinterfaces:
  `XSLTLiaison2`, `XSLTLiaison3`, `XSLTLiaison4`

All Known Implementing Classes:
  `TraXLiaison`

    public interface XSLTLiaison

Proxy interface for XSLT processors.

Since:
  Ant 1.1
See Also:
  `XSLTProcess`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.lang.String` | `FILE_PROTOCOL_PREFIX` | the file protocol prefix for systemid.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addParam​(java.lang.String name, java.lang.String expression)` | Add a parameter to be set during the XSL transformation.
`void` | `setStylesheet​(java.io.File stylesheet)` | set the stylesheet to use for the transformation.
`void` | `transform​(java.io.File infile, java.io.File outfile)` | Perform the transformation of a file into another.

## Field Details

### FILE_PROTOCOL_PREFIX

static final java.lang.String FILE_PROTOCOL_PREFIX
the file protocol prefix for systemid. This file protocol must be appended to an absolute path. Typically: `FILE_PROTOCOL_PREFIX + file.getAbsolutePath()` Note that on Windows, an extra '/' must be appended to the protocol prefix so that there is always 3 consecutive slashes.

Since:
  Ant 1.4
See Also:
  Constant Field Values

## Method Details

### setStylesheet

void setStylesheet​(java.io.File stylesheet) throws java.lang.Exception
set the stylesheet to use for the transformation.

Parameters:
  `stylesheet` - the stylesheet to be used for transformation.
Throws:
  `java.lang.Exception` - thrown if any problems happens.
Since:
  Ant 1.4

### addParam

void addParam​(java.lang.String name, java.lang.String expression) throws java.lang.Exception
Add a parameter to be set during the XSL transformation.

Parameters:
  `name` - the parameter name.
  `expression` - the parameter value as an expression string.
Throws:
  `java.lang.Exception` - thrown if any problems happens.
Since:
  Ant 1.3
See Also:
  `XSLTLiaison4.addParam(java.lang.String, java.lang.Object)`

### transform

void transform​(java.io.File infile, java.io.File outfile) throws java.lang.Exception
Perform the transformation of a file into another.

Parameters:
  `infile` - the input file, probably an XML one. :-)
  `outfile` - the output file resulting from the transformation
Throws:
  `java.lang.Exception` - thrown if any problems happens.
Since:
  Ant 1.4
See Also:
  `setStylesheet(File)`